POSTUnfreezeBalanceV2

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/unfreezebalancev2

Unstake some TRX staked in Stake 2.0, release the corresponding amount of bandwidth or energy, and voting rights (TP)

Request Body
owner_addressstringrequired

Transaction initiator address. (Format: Base58 or Hex)

unfreeze_balanceinteger (int64)required

Amount of TRX to unstake. (Unit: sun)

resourcestringrequired

Type of resource. (Enum: "BANDWIDTH" or "ENERGY")

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
owner_addressstring

Transaction initiator address. (Format: Base58 or Hex)

resourcestring

Type of resource. (Enum: BANDWIDTH, ENERGY)

unfreeze_balanceinteger (int64)

Amount of TRX to unstake. (Unit: sun)

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/unfreezebalancev2" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "unfreeze_balance": 1000000,
  "resource": "ENERGY",
  "visible": true
}'
Response
Example · 200
{
  "owner_address": "string",
  "resource": "string",
  "unfreeze_balance": 0
}